%global srcname stun
# Erlang packages don't seem to ship debug files, as the build process does not generate them
%global debug_package %{nil}


Name: erlang-%{srcname}
Version: 1.0.9
Release: 2%{?dist}

License: ASL 2.0
Summary: STUN and TURN library for Erlang / Elixir
URL:     https://github.com/processone/stun/
Source0: https://github.com/processone/stun/archive/%{version}.tar.gz

Provides:  erlang-p1_stun = %{version}-%{release}
Obsoletes: erlang-p1_stun < 1.0.1

BuildRequires: erlang-edoc
BuildRequires: erlang-rebar
BuildRequires: erlang-fast_tls >= 1.0.9
BuildRequires: erlang-p1_utils >= 1.0.6


%description
STUN and TURN library for Erlang / Elixir. Both STUN (Session Traversal
Utilities for NAT) and TURN standards are used as techniques to establish media
connection between peers for VoIP (for example using SIP or Jingle) and WebRTC.


%prep
%autosetup -n stun-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 31 2016 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.9-1
- Update to 1.0.9 (#1398626).

* Thu Sep 15 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.7-1
- Update to 1.0.7 (#1365246).

* Sat Jul 30 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.6-1
- Update to 1.0.6 (#1354105).

* Fri Jul 01 2016 Jeremy Cline <jeremy@jcline.org> - 1.0.5-1
- Update to 1.0.5.

* Tue May 03 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.3-1
- Update to 1.0.3.

* Sat Mar 12 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.1-1
- Initial release.
